%define	major		12
%define libname		%mklibname exif %{major}
%define develname	%mklibname exif -d
%define langname	libexif-%{major}

Summary:	Library to access EXIF files (extended JPEG files)
Name:		libexif
Version:	0.6.17
Release:	%mkrel 4
License:	LGPLv2+
Group:		Graphics
Url:		http://sourceforge.net/projects/libexif/
Source:		http://belnet.dl.sourceforge.net/sourceforge/libexif/libexif-%{version}.tar.bz2
Patch0:		libexif-0.6.13-pkgconfig-fix.patch
BuildRequires:	doxygen
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n %{name}%{major}-common
Summary:        Library to access EXIF files - Translations
Group:		Graphics
Conflicts:      %{mklibname -d exif 12} < 0.6.17-3
Conflicts:      %{mklibname -d exif} < 0.6.17-3
Conflicts:	libexif < 0.6.17-3
Obsoletes:	libexif < 0.6.17-3

%description -n %{name}%{major}-common
This package contains the translations for %{name}%{major}.

%package -n %{libname}
Summary:	Library to access EXIF files (extended JPEG files)
Provides:	libexif = %{version}-%{release}
Requires:	%{name}%{major}-common = %{version}-%{release}
Group:		Graphics

%description -n %{libname}
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%package -n %{develname}
Summary: 	Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname exif 12 -d}
Provides:	%{mklibname exif 12 -d} = %{version}-%{release}
Group:		Development/C

%description -n %{develname}
This package contains all files which one needs to compile programs using
the "%{libname}" library.


%prep
%setup -q
%patch0 -p2 -b .includedir

%build
#sh ./autogen.sh
libtoolize --copy --force; aclocal -I auto-m4 -I m4m; autoconf; automake

%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall
%find_lang %{langname}


%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %buildroot

%files -n %{name}%{major}-common -f %{langname}.lang

%files -n %{libname} 
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname} 
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_docdir}/libexif



%changelog
* Wed Apr 08 2009 Pascal Terjan <pterjan@mandriva.org> 0.6.17-4mdv2009.1
+ Revision: 365187
- Add missing conflict for upgrade from 2009.0

* Sun Nov 30 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.17-3mdv2009.1
+ Revision: 308453
- Protect major in file list
- Fix license
- Move i18n files to libexif12-common: the mo file names contain the
  library's major. Add necessary obsoletes, conflicts and requires tags
  in order to make upgrades work correctly
- Prevent duplicate installation of doc files

* Sat Nov 29 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.17-2mdv2009.1
+ Revision: 307969
- Create binary libexif package containing translations (bug #35369)
- Remove now unneeded perl hack in SPEC file (thanks to Dan Fandrich)

* Wed Nov 19 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.17-1mdv2009.1
+ Revision: 304462
- New version 0.6.17
- Remove 2 patches for CVE fixed upstream

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.16-6mdv2009.0
+ Revision: 229910
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix spacing at top of description

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Jan 25 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6.16-4mdv2008.1
+ Revision: 157942
- Added patches for CVE-2007-6351 and CVE-2007-6352. Closes: #36620

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.16-3mdv2008.1
+ Revision: 150557
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 31 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.16-2mdv2008.0
+ Revision: 57206
- fix files - move all non-library files to the -devel package (#31077)
- new devel policy
- specify license LGPLv2.1
- spec clean

* Thu Jun 21 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6.16-1mdv2008.0
+ Revision: 42327
- New upstream: 0.6.16

* Wed May 16 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6.14-1mdv2008.0
+ Revision: 27432
- New upstream: 0.6.14
- Use -p switch for post scripts that only runs ldconfig
- Specfile cleanup
- Improved i18n handling.


* Mon Jan 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.6.13-4mdv2007.0
+ Revision: 109120
- Fixed devel group. Closes: #28141

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup

* Thu Oct 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.13-3mdv2007.1
+ Revision: 63431
- fix the spec file
- bunzip patches
- Import libexif

* Mon Jun 26 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.13-2
- patch0: fix include dir in pkgconfig file

* Wed May 17 2006 Till Kamppeter <till@mandriva.com> 0.6.13-1mdk
- Updated to version 0.6.12.
- Removed patch 1 (merged upstream).
- Added API documentation to -devel package.
- Introduced %%{1}mdv2007.1.

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.12-3mdk
- Rebuild

* Sat Aug 13 2005 Austin Acton <austin@mandriva.org> 0.6.12-2mdk
- try to fix gimp crashes (bug #16618)
- configure 2.5

* Tue Jun 28 2005 Till Kamppeter <till@mandrakesoft.com> 0.6.12-1mdk
- Updated to version 0.6.12.
- Removed Patch0 (merged upstream).

* Fri Apr 01 2005 Till Kamppeter <till@mandrakesoft.com> 0.6.11-2mdk
- SECURITY FIX: Fixed MDKSA-2005:064 (bug 15139).

* Sat Nov 27 2004 Till Kamppeter <till@mandrakesoft.com> 0.6.11-1mdk
- Updated to version 0.6.11.

